1 2 Previous Next 15 Replies Latest reply: Apr 20, 2013 12:25 PM by Hussein Sawwan-Oracle RSS

    FRM-92101 : There was a failure in the forms server during startup

    Ankur ...
      Dear All Experts,

      I have installed Oracle APPS R12 on RHEL6 and I would like to open forms from Windows , means Linux is Server & Windows 7(64 bit) is the client , but I'm getting the above error.

      "FRM-92101: There was a failure in the Forms Server during startup. This could happen due to Invalid Configuration
      Please look in to the web-server log-file for details. "

      Details..
      Java Exception:
      oracle.forms.net.ConnectionException: Forms session <3> failed during startuo: no response from runtime process
      at oracle.forms.net.ConnectionException.createConnectionException(Unknown Source)
      at oracle.forms.net.HTTPNStream.getResponse(Unknown Source)
      at oracle.forms.net.HTTPNStream.doFlush(Unknown Source)
      at oracle.forms.net.HTTPNStream.flush(Unknown Source)
      at java.io.DataOutputStream.flush(Unknown Source)
      at oracle.forms.net.StreamMessageWriter.run(Unknown Source)

      While investigating the issue i found out that i have to upgrade my JRE to 1.6.0.34 in R12 install.
      I followed this metalink note "Deploying Sun JRE (Native Plug-in) for Windows Clients in Oracle E-Business Suite Release 12 [ID 393931.1] to upgrade my JRE version.

      I am trying to launch forms from IE 9(Browser) and i have already disabled XSS Filter
      tools -> Internet Option->Security-Internet-Custom
      Enable XSS FILTER - Disable it. . . ..

      Any help for this issue

      Thanks
      Ankur
        • 1. Re: FRM-92101 : There was a failure in the forms server during startup
          Hussein Sawwan-Oracle
          I have installed Oracle APPS R12 on RHEL6 and I would like to open forms from Windows , means Linux is Server & Windows 7(64 bit) is the client , but I'm getting the above error.
          Did you complete all the steps in (Oracle E-Business Suite Installation and Upgrade Notes Release 12 (12.1.1) for Linux x86-64 [ID 761566.1]).
          "FRM-92101: There was a failure in the Forms Server during startup. This could happen due to Invalid Configuration
          Please look in to the web-server log-file for details. "

          Details..
          Java Exception:
          oracle.forms.net.ConnectionException: Forms session <3> failed during startuo: no response from runtime process
          at oracle.forms.net.ConnectionException.createConnectionException(Unknown Source)
          at oracle.forms.net.HTTPNStream.getResponse(Unknown Source)
          at oracle.forms.net.HTTPNStream.doFlush(Unknown Source)
          at oracle.forms.net.HTTPNStream.flush(Unknown Source)
          at java.io.DataOutputStream.flush(Unknown Source)
          at oracle.forms.net.StreamMessageWriter.run(Unknown Source)
          This is a generic error -- Please check the application.log file for the complete error message.
          While investigating the issue i found out that i have to upgrade my JRE to 1.6.0.34 in R12 install.
          I followed this metalink note "Deploying Sun JRE (Native Plug-in) for Windows Clients in Oracle E-Business Suite Release 12 [ID 393931.1] to upgrade my JRE version.

          I am trying to launch forms from IE 9(Browser) and i have already disabled XSS Filter
          tools -> Internet Option->Security-Internet-Custom
          Enable XSS FILTER - Disable it. . . ..

          Any help for this issue
          Did AutoConfig complete successfully with no errors?

          Do you meet all minimum requirements as per (Recommended Browsers for Oracle E-Business Suite Release 12 [ID 389422.1])?

          Can you reproduce the issue with different browsers?

          What is the output of "adopmnctl.sh status" command?

          Please also see the following docs.

          R12: "FRM-92101: There was failure in the Forms Server during startup" Error While Submitting Concurrent Requests [ID 867501.1
          Users Receive FRM-92101 oracle.forms.net.ConnectionException Errors When Launching E-Business Suite Forms Responsibility and Function [ID 1258305.1]

          Thanks,
          Hussein
          • 2. Re: FRM-92101 : There was a failure in the forms server during startup
            Ankur ...
            Hi Hussein,

            All the steps in (Oracle E-Business Suite Installation and Upgrade Notes Release 12 (12.1.1) for Linux x86-64 [ID 761566.1]) are met successfully.

            Autoconfig completed successfully on DB as well on Apps, exit with status 0.

            Acc to MOS ID 389422.1, I have JRE 1.6.0_32 (64-bit) and oaj2se.exe installed on the browser i'm using which is IE9(256-bit cipher)

            I got the same "FRM-92101" error while trying with other certified browser(Mozilla).

            Please check the output of "adopmnctl.sh status" command

            [applmgr@oracleupk scripts]$ ./adopmnctl.sh status

            You are running adopmnctl.sh version 120.6

            Checking status of OPMN managed processes...

            Processes in Instance: PROD_oracleupk.oracleupk.igloocorp.com
            --------------------------------------------------------------+---------
            ias-component | process-type | pid | status
            --------------------------------------------------------------+---------
            OC4JGroup:default_group | OC4J:oafm | 25249 | Alive
            OC4JGroup:default_group | OC4J:forms | 25178 | Alive
            OC4JGroup:default_group | OC4J:oacore | 25092 | Alive
            HTTP_Server | HTTP_Server | 25035 | Alive


            adopmnctl.sh: exiting with status 0

            adopmnctl.sh: check the logfile /u01/appl_top/inst/apps/PROD_oracleupk/logs/appl/admin/log/adopmnctl.txt for more information ...

            Will update you more after performing the workaround mentioned in the MOS notes [ID 867501.1, ID 1258305.1] provided by you.

            Thanks
            Ankur
            • 3. Re: FRM-92101 : There was a failure in the forms server during startup
              Hussein Sawwan-Oracle
              Hi Ankur,

              The application.log file can be found under the following directories.

              $LOG_HOME/ora/10.1.3/j2ee/<oacore, forms, oafm>/<oacore,forms,oafm>_<default_group_1>/application.log

              How to enable Apache, OC4J and OPMN logging in Oracle Applications R12 [ID 419839.1]

              Thanks,
              Hussein
              • 4. Re: FRM-92101 : There was a failure in the forms server during startup
                Ankur ...
                Please check the details of application.log and formsstd.out

                Application Log
                13/04/17 15:16:52.422 formsweb: Forms session <3> exception stack trace:
                oracle.forms.engine.RunformException: Forms session <3> failed during startup: no response from runtime process
                at oracle.forms.servlet.RunformProcess.connect(Unknown Source)
                at oracle.forms.servlet.RunformProcess.dataToRunform(Unknown Source)
                at oracle.forms.servlet.RunformSession.dataToRunform(Unknown Source)
                at oracle.forms.servlet.ListenerServlet.doPost(Unknown Source)
                at javax.servlet.http.HttpServlet.service(HttpServlet.java:763)
                at javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.ServletRequestDispatcher.invoke(ServletRequestDispatcher.java:713)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.ServletRequestDispatcher.forwardInternal(ServletRequestDispatcher.java:370)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.HttpRequestHandler.doProcessRequest(HttpRequestHandler.java:871)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.HttpRequestHandler.processRequest(HttpRequestHandler.java:453)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.AJPRequestHandler.run(AJPRequestHandler.java:313)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].server.http.AJPRequestHandler.run(AJPRequestHandler.java:199)
                at oracle.oc4j.network.ServerSocketReadHandler$SafeRunnable.run(ServerSocketReadHandler.java:260)
                at com.evermind[Oracle Containers for J2EE 10g (10.1.3.4.0) ].util.ReleasableResourcePooledExecutor$MyWorker.run(ReleasableResourcePooledExecutor.java:303)
                at java.lang.Thread.run(Thread.java:619)



                formsstd.out
                13/04/17 15:16:52 Forms session <3> aborted: runtime process failed during startup with errors /u01/appl_top/apps/tech_st/10.1.2/bin/frmweb: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory


                I performed the workaround mentioned in MOS note
                Users Receive FRM-92101 oracle.forms.net.ConnectionException Errors When Launching E-Business Suite Forms Responsibility and Function [ID 1258305.1]
                but still the issue persists.

                Already performed the steps mentioned in the other MOS note R12: "FRM-92101: There was failure in the Forms Server during startup" Error While Submitting Concurrent Requests [ID 867501.1] But it didn't worked for me.
                • 5. Re: FRM-92101 : There was a failure in the forms server during startup
                  Hussein Sawwan-Oracle
                  formsstd.out
                  13/04/17 15:16:52 Forms session <3> aborted: runtime process failed during startup with errors /u01/appl_top/apps/tech_st/10.1.2/bin/frmweb: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory


                  I performed the workaround mentioned in MOS note
                  Users Receive FRM-92101 oracle.forms.net.ConnectionException Errors When Launching E-Business Suite Forms Responsibility and Function [ID 1258305.1]
                  but still the issue persists.

                  Already performed the steps mentioned in the other MOS note R12: "FRM-92101: There was failure in the Forms Server during startup" Error While Submitting Concurrent Requests [ID 867501.1] But it didn't worked for me.
                  Please see (FRM-92101: Forms Server [ID 1192205.1]).

                  Thanks,
                  Hussein
                  • 6. Re: FRM-92101 : There was a failure in the forms server during startup
                    Ankur ...
                    Hi Hussein,

                    Many thanks for the prompt reply, actually i followed this MOS note.
                    Please see the workaround.

                    [root@oracleupk RPM]# rpm -Uvh openmotif21-2.1.30-11.EL5.i386.rpm
                    error: Failed dependencies:
                    libICE.so.6 is needed by openmotif21-2.1.30-11.EL5.i386
                    libSM.so.6 is needed by openmotif21-2.1.30-11.EL5.i386
                    libXt.so.6 is needed by openmotif21-2.1.30-11.EL5.i386

                    [root@oracleupk RPM]# locate libICE.so.6
                    /u01/appl_top/apps/tech_st/10.1.2/lib/stubs/libICE.so.6
                    /u01/appl_top/apps/tech_st/10.1.3/lib/stubs/libICE.so.6
                    /u01/db_top/db/tech_st/11.1.0/lib/stubs/libICE.so.6
                    /u01/db_top/db/tech_st/11.1.0/lib32/stubs/libICE.so.6
                    /usr/lib64/libICE.so.6
                    /usr/lib64/libICE.so.6.3.0

                    [root@oracleupk RPM]# rpm -qf /usr/lib64/libICE.so.6
                    libICE-1.0.6-1.el6.x86_64
                    [root@oracleupk RPM]# rpm -Uvh libICE-1.0.6-1.el6.x86_64
                    error: open of libICE-1.0.6-1.el6.x86_64 failed: No such file or directory

                    Then I downloaded the same RPM in the server n tried to install it but it ended with this error.

                    [root@oracleupk RPM]# rpm -Uvh libICE-1.0.6-1.el6.x86_64.rpm
                    warning: libICE-1.0.6-1.el6.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 192a7d7d: NOKEY
                    Preparing... ########################################### [100%]
                    package libICE-1.0.6-1.el6.x86_64 is already installed
                    file /usr/lib64/libICE.so.6.3.0 from install of libICE-1.0.6-1.el6.x86_64 conflicts with file from package libICE-1.0.6-1.el6.x86_64

                    Please guide me how to proceed further and please let me know if I am missing something here.

                    Thanks,
                    Ankur
                    • 7. Re: FRM-92101 : There was a failure in the forms server during startup
                      Hussein Sawwan-Oracle
                      Hi Ankur,

                      Have you tried to use "yum install <package name>" command?

                      Thanks,
                      Hussein
                      • 8. Re: FRM-92101 : There was a failure in the forms server during startup
                        Ankur ...
                        [root@oracleupk RPM]# yum install libICE-1.0.6-1.el6.x86_64.rpm
                        Loaded plugins: refresh-packagekit, rhnplugin
                        This system is not registered with ULN.
                        ULN support will be disabled.
                        ol6_UEK_latest | 1.2 kB 00:00
                        ol6_addons | 1.2 kB 00:00
                        ol6_ga_base | 1.1 kB 00:00
                        ol6_latest | 1.4 kB 00:00
                        http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/repodata/primary.xml.gz: [Errno 14] PYCURL ERROR 56 - ""
                        Trying other mirror.
                        Setting up Install Process
                        Examining libICE-1.0.6-1.el6.x86_64.rpm: libICE-1.0.6-1.el6.x86_64
                        libICE-1.0.6-1.el6.x86_64.rpm: does not update installed package.
                        Error: Nothing to do


                        [root@oracleupk RPM]# locate libSM.so.6
                        /u01/appl_top/apps/tech_st/10.1.2/lib/stubs/libSM.so.6
                        /u01/appl_top/apps/tech_st/10.1.3/lib/stubs/libSM.so.6
                        /u01/db_top/db/tech_st/11.1.0/lib/stubs/libSM.so.6
                        /u01/db_top/db/tech_st/11.1.0/lib32/stubs/libSM.so.6
                        /usr/lib64/libSM.so.6
                        /usr/lib64/libSM.so.6.0.0


                        [root@oracleupk RPM]# rpm -qf /usr/lib64/libSM.so.6
                        libSM-1.1.0-7.1.el6.x86_64

                        [root@oracleupk RPM]# yum install libSM-1.1.0-7.1.el6.x86_64
                        Loaded plugins: refresh-packagekit, rhnplugin
                        This system is not registered with ULN.
                        ULN support will be disabled.
                        Setting up Install Process
                        Package libSM-1.1.0-7.1.el6.x86_64 already installed and latest version
                        Nothing to do


                        [root@oracleupk RPM]# locate libXt.so.6
                        /u01/appl_top/apps/tech_st/10.1.2/lib/stubs/libXt.so.6
                        /u01/appl_top/apps/tech_st/10.1.3/lib/stubs/libXt.so.6
                        /u01/db_top/db/tech_st/11.1.0/lib/stubs/libXt.so.6
                        /u01/db_top/db/tech_st/11.1.0/lib32/stubs/libXt.so.6
                        /usr/lib64/libXt.so.6
                        /usr/lib64/libXt.so.6.0.0

                        [root@oracleupk RPM]# rpm -qf /usr/lib64/libXt.so.6
                        libXt-1.1.3-1.el6.x86_64

                        [root@oracleupk RPM]# yum install libXt-1.1.3-1.el6.x86_64
                        Loaded plugins: refresh-packagekit, rhnplugin
                        This system is not registered with ULN.
                        ULN support will be disabled.
                        Setting up Install Process
                        Package libXt-1.1.3-1.el6.x86_64 already installed and latest version
                        Nothing to do

                        [root@oracleupk RPM]# yum install openmotif21-2.1.30-11.EL5.i386.rpm
                        Loaded plugins: refresh-packagekit, rhnplugin
                        This system is not registered with ULN.
                        ULN support will be disabled.
                        Setting up Install Process
                        Examining openmotif21-2.1.30-11.EL5.i386.rpm: openmotif21-2.1.30-11.EL5.i386
                        Marking openmotif21-2.1.30-11.EL5.i386.rpm to be installed
                        Resolving Dependencies
                        --> Running transaction check
                        ---> Package openmotif21.i386 0:2.1.30-11.EL5 set to be updated
                        --> Processing Dependency: libICE.so.6 for package: openmotif21-2.1.30-11.EL5.i386
                        --> Processing Dependency: libSM.so.6 for package: openmotif21-2.1.30-11.EL5.i386
                        --> Processing Dependency: libXt.so.6 for package: openmotif21-2.1.30-11.EL5.i386
                        --> Running transaction check
                        ---> Package libICE.i686 0:1.0.6-1.el6 set to be updated
                        ---> Package libSM.i686 0:1.2.1-2.el6 set to be updated
                        --> Processing Dependency: libuuid.so.1(UUID_1.0) for package: libSM-1.2.1-2.el6.i686
                        --> Processing Dependency: libuuid.so.1 for package: libSM-1.2.1-2.el6.i686
                        ---> Package libSM.x86_64 0:1.2.1-2.el6 set to be updated
                        ---> Package libXt.i686 0:1.1.3-1.el6 set to be updated
                        --> Running transaction check
                        --> Processing Dependency: libuuid = 2.17.2-6.el6 for package: libblkid-2.17.2-6.el6.x86_64
                        --> Processing Dependency: libuuid = 2.17.2-6.el6 for package: util-linux-ng-2.17.2-6.el6.x86_64
                        ---> Package libuuid.i686 0:2.17.2-12.9.el6 set to be updated
                        ---> Package libuuid.x86_64 0:2.17.2-12.9.el6 set to be updated
                        --> Running transaction check
                        ---> Package libblkid.x86_64 0:2.17.2-12.9.el6 set to be updated
                        ---> Package util-linux-ng.x86_64 0:2.17.2-12.9.el6 set to be updated
                        --> Finished Dependency Resolution

                        Dependencies Resolved

                        ========================================================================================================================================================================
                        Package Arch Version Repository Size
                        ========================================================================================================================================================================
                        Installing:
                        openmotif21 i386 2.1.30-11.EL5 /openmotif21-2.1.30-11.EL5.i386 2.3 M
                        Installing for dependencies:
                        libICE i686 1.0.6-1.el6 InstallMedia 52 k
                        libSM i686 1.2.1-2.el6 ol6_latest 36 k
                        libXt i686 1.1.3-1.el6 ol6_latest 178 k
                        libuuid i686 2.17.2-12.9.el6 ol6_latest 67 k
                        Updating for dependencies:
                        libSM x86_64 1.2.1-2.el6 ol6_latest 36 k
                        libblkid x86_64 2.17.2-12.9.el6 ol6_latest 113 k
                        libuuid x86_64 2.17.2-12.9.el6 ol6_latest 66 k
                        util-linux-ng x86_64 2.17.2-12.9.el6 ol6_latest 1.5 M

                        Transaction Summary
                        ========================================================================================================================================================================
                        Install 5 Package(s)
                        Upgrade 4 Package(s)

                        Total size: 4.4 M
                        Total download size: 2.1 M
                        Is this ok [y/N]: y
                        Downloading Packages:
                        (2/8): libSM-1.2.1-2.el6.i686.rpm | 36 kB 00:00
                        (3/8): libSM-1.2.1-2.el6.x86_64.rpm | 36 kB 00:00
                        (4/8): libXt-1.1.3-1.el6.i686.rpm | 178 kB 00:00
                        (5/8): libblkid-2.17.2-12.9.el6.x86_64.rpm | 113 kB 00:00
                        (6/8): libuuid-2.17.2-12.9.el6.i686.rpm | 67 kB 00:00
                        (7/8): libuuid-2.17.2-12.9.el6.x86_64.rpm | 66 kB 00:00
                        (8/8): util-linux-ng-2.17.2-12.9.el6.x86_64.rpm | 1.5 MB 00:01


                        Error Downloading Packages:
                        libICE-1.0.6-1.el6.i686: failure: Packages/libICE-1.0.6-1.el6.i686.rpm from InstallMedia: [Errno 256] No more mirrors to try.

                        Should i manually install libICE-1.0.6-1.el6.i686?
                        • 9. Re: FRM-92101 : There was a failure in the forms server during startup
                          Hussein Sawwan-Oracle
                          Should i manually install libICE-1.0.6-1.el6.i686?
                          Was the package mentioned in the doc installed? If yes, then you don't need to install libICE* package. If you still get the same error, then you may install this package manually and check then.

                          Please run AutoConfig and make sure it completes successfully and bounce the application services then.

                          Thanks,
                          Hussein
                          • 10. Re: FRM-92101 : There was a failure in the forms server during startup
                            Ankur ...
                            libICE-1.0.6-1.el6.i686 is already installed with the latest version.
                            Autoconfig ran successfully, still getting the same FRM-92101 after bouncing the services.
                            • 11. Re: FRM-92101 : There was a failure in the forms server during startup
                              Hussein Sawwan-Oracle
                              What openmotif2* version you have installed? If it is the one mentioned [ID 761566.1]/[ID 761564.1] then please log a SR.

                              Thanks,
                              Hussein
                              • 12. Re: FRM-92101 : There was a failure in the forms server during startup
                                user581351
                                ..

                                Edited by: user581351 on Apr 19, 2013 6:13 AM
                                • 13. Re: FRM-92101 : There was a failure in the forms server during startup
                                  Ankur ...
                                  It us the same RPM version as mentioned in doc. I have raised an SR for the same issue will update this thread with the solution.
                                  • 14. Re: FRM-92101 : There was a failure in the forms server during startup
                                    Ankur ...
                                    It seems i had a higher version of opemotif21RPM installed on the server which was causing the issue. Acc to this note ID 761566.1, I updated the openmotif RPM with the current version and the issue is fixed

                                    Thanks,
                                    Ankur
                                    1 2 Previous Next